> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# List wallets for a payer

POST https://ssuccessv2.com/app/api/v1/wallet/payer
Content-Type: application/json

Returns the active school's payment wallets for the payer identified by the submitted type and identifier.

Reference: https://docs.schoolset.io/api-reference/school-set-api/wallets/list-payer-wallets

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `payer_id` (integer, required)
- `payer_type` (string, required)

## Response

### 200

Payer wallets returned as wallet resource records.

- `status` (string, optional)
- `message` (string, optional)
- `data` (list of ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 401 Unauthorized Error

Authentication is required to list payer wallets.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user cannot view wallets in the active school.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

The submitted payer record does not exist.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Payer ID or payer type was not supplied.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `wallet_type` (ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsWalletType, optional, nullable)
- `wallet_data` (ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsWalletData, optional)
- `wallet_description` (string, optional, nullable)
- `merchant_account_type` (ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsMerchantAccountType, optional, nullable)
- `merchant_account_customer_info` (ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsMerchantAccountCustomerInfo, optional, nullable)
- `merchant_account_id` (integer, optional, nullable)
- `active` (boolean, optional)
- `wallet_status_id` (integer, optional, nullable)
- `alerts` (list of string, optional)
- `info` (ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsInfo, optional, nullable)
- `payer_id` (integer, optional)
- `payer_type` (string, optional)
- `payer_name` (string, optional)
- `priority` (string, optional)
- `removed_on_gateway` (boolean, optional)

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsWalletType

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsWalletData

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsMerchantAccountType

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsMerchantAccountCustomerInfo

### ApiV1WalletPayerPostResponsesContentApplicationJsonSchemaDataItemsInfo

## Examples

**Request**

```json
{
  "payer_id": 284,
  "payer_type": "family_student"
}
```

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": [
    {
      "id": 913,
      "wallet_type": {
        "id": 1,
        "name": "Credit Card"
      },
      "wallet_data": {
        "cc_last_four": "4242",
        "cc_exp_date": "2027-09"
      },
      "wallet_description": "Family Visa",
      "merchant_account_type": {
        "id": 1,
        "name": "Stripe"
      },
      "merchant_account_customer_info": {
        "customer_id": "cus_schoolset_284"
      },
      "merchant_account_id": 4,
      "active": true,
      "wallet_status_id": 1,
      "alerts": [],
      "info": {},
      "payer_id": 284,
      "payer_type": "family_student",
      "payer_name": "Cohen Family",
      "priority": "primary",
      "removed_on_gateway": false
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/wallet/payer"

payload = {
    "payer_id": 284,
    "payer_type": "family_student"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/wallet/payer';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"payer_id":284,"payer_type":"family_student"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/wallet/payer"

	payload := strings.NewReader("{\n  \"payer_id\": 284,\n  \"payer_type\": \"family_student\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/wallet/payer")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"payer_id\": 284,\n  \"payer_type\": \"family_student\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/wallet/payer")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"payer_id\": 284,\n  \"payer_type\": \"family_student\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/wallet/payer', [
  'body' => '{
  "payer_id": 284,
  "payer_type": "family_student"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/wallet/payer");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"payer_id\": 284,\n  \"payer_type\": \"family_student\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "payer_id": 284,
  "payer_type": "family_student"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/wallet/payer")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```